RDKit::FPHolderBase Class Referenceabstract

Base FPI for the fingerprinter used to rule out impossible matches. More...

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::FPHolderBase:

## Public Member Functions

virtual | ~FPHolderBase ()
unsigned int | addMol (const ROMol &m)
| Adds a molecule to the fingerprinter. More...
unsigned int | addFingerprint (const ExplicitBitVect &v)
| Adds a raw bit vector to the fingerprinter. More...
bool | passesFilter (unsigned int idx, const ExplicitBitVect &query) const
| Return false if a substructure search can never match the molecule. More...
const ExplicitBitVect & | getFingerprint (unsigned int idx) const
virtual ExplicitBitVect * | makeFingerprint (const ROMol &m) const =0
std::vector< ExplicitBitVect * > & | getFingerprints ()
const std::vector< ExplicitBitVect * > & | getFingerprints () const

## Detailed Description

Base FPI for the fingerprinter used to rule out impossible matches.

Definition at line 233 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

## ~FPHolderBase()

virtual RDKit::FPHolderBase::~FPHolderBase | ( |  | ) |

inline virtual

Definition at line 237 of file SubstructLibrary.h.

## Member Function Documentation

## addFingerprint()

unsigned int RDKit::FPHolderBase::addFingerprint | ( | const ExplicitBitVect & | v | ) |

inline

Adds a raw bit vector to the fingerprinter.

Definition at line 248 of file SubstructLibrary.h.

## addMol()

unsigned int RDKit::FPHolderBase::addMol | ( | const ROMol & | m | ) |

inline

Adds a molecule to the fingerprinter.

Definition at line 242 of file SubstructLibrary.h.

## getFingerprint()

const ExplicitBitVect& RDKit::FPHolderBase::getFingerprint | ( | unsigned int | idx | ) | const

inline

Get the bit vector at the specified index (throws IndexError if out of range)

Definition at line 262 of file SubstructLibrary.h.

## getFingerprints() [1/2]

std::vector<ExplicitBitVect *>& RDKit::FPHolderBase::getFingerprints | ( |  | ) |

inline

Definition at line 271 of file SubstructLibrary.h.

## getFingerprints() [2/2]

const std::vector<ExplicitBitVect *>& RDKit::FPHolderBase::getFingerprints | ( |  | ) | const

inline

Definition at line 272 of file SubstructLibrary.h.

## makeFingerprint()

virtual ExplicitBitVect* RDKit::FPHolderBase::makeFingerprint | ( | const ROMol & | m | ) | const

pure virtual

make the query vector Caller owns the vector!

Implemented in RDKit::PatternHolder.

## passesFilter()

bool RDKit::FPHolderBase::passesFilter | ( | unsigned int | idx,
|  | const ExplicitBitVect & | query
| ) |  | const

inline

Return false if a substructure search can never match the molecule.

Definition at line 254 of file SubstructLibrary.h.

References AllProbeBitsMatch().

The documentation for this class was generated from the following file:

- SubstructLibrary.h